/**********************************************************************************************************************
 *  COPYRIGHT
 *  -------------------------------------------------------------------------------------------------------------------
 *
 *                This software is copyright protected and proprietary to Vector Informatik GmbH.
 *                Vector Informatik GmbH grants to you only those rights as set out in the license conditions.
 *                All other rights remain with Vector Informatik GmbH.
 *  -------------------------------------------------------------------------------------------------------------------
 *  FILE DESCRIPTION
 *  -------------------------------------------------------------------------------------------------------------------
 *          File:  Rte_VED.h
 *        Config:  Axera.dpa
 *   ECU-Project:  MyECU
 *
 *     Generator:  MICROSAR RTE Generator Version 4.19.0
 *                 RTE Core Version 1.19.0
 *       License:  CBD1900078
 *
 *   Description:  Application header file for SW-C <VED>
 *********************************************************************************************************************/

/* double include prevention */
#ifndef _RTE_VED_H
# define _RTE_VED_H

# ifndef RTE_CORE
#  ifdef RTE_APPLICATION_HEADER_FILE
#   error Multiple application header files included.
#  endif
#  define RTE_APPLICATION_HEADER_FILE
#  ifndef RTE_PTR2ARRAYBASETYPE_PASSING
#   define RTE_PTR2ARRAYBASETYPE_PASSING
#  endif
# endif

# ifdef __cplusplus
extern "C"
{
# endif /* __cplusplus */

/* include files */

# include "Rte_VED_Type.h"
# include "Rte_DataHandleType.h"

# ifndef RTE_CORE

/**********************************************************************************************************************
 * extern declaration of RTE buffers for optimized macro implementation
 *********************************************************************************************************************/
#  define RTE_START_SEC_VAR_NOCACHE_INIT_UNSPECIFIED
#  include "MemMap.h" /* PRQA S 5087 */ /* MD_MSR_19.1 */

extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_DriverDoorAjarSt_BCM_DriverDoorAjarSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_FrontFogLampSt_BCM_FrontFogLampSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_FrontWasherSt_BCM_FrontWasherSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_FrontWiperSt_BCM_FrontWiperSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_HazardLampSt_BCM_HazardLampSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_HighBeamSt_BCM_HighBeamSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_KeySt_BCM_KeySt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_LowBeamSt_BCM_LowBeamSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_PsngrDoorAjarSt_BCM_PsngrDoorAjarSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_RLDoorAjarSt_BCM_RLDoorAjarSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_RRDoorAjarSt_BCM_RRDoorAjarSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_RearFogLampSt_BCM_RearFogLampSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCM_TurnLightSwitchSt_BCM_TurnLightSwitchSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_ABSActiveSt_BCS_ABSActiveSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_AEBAvailable_BCS_AEBAvailable; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_AWBActive_BCS_AWBActive; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_ActVehLaltrlAccel_BCS_ActVehLaltrlAccel; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_ActVehLaltrlAccelVD_BCS_ActVehLaltrlAccelVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_ActVehLongAccel_BCS_ActVehLongAccel; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_ActVehLongAccelVD_BCS_ActVehLongAccelVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FLWheelRotatedDirection_BCS_FLWheelRotatedDirection; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FLWheelSpd_BCS_FLWheelSpd; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FLWheelSpdEdgesSum_BCS_FLWheelSpdEdgesSum; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FLWheelSpdEdgesSumVD_BCS_FLWheelSpdEdgesSumVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FLWheelSpdVD_BCS_FLWheelSpdVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FRWheelRotatedDirection_BCS_FRWheelRotatedDirection; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FRWheelSpd_BCS_FRWheelSpd; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FRWheelSpdEdgesSum_BCS_FRWheelSpdEdgesSum; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FRWheelSpdEdgesSumVD_BCS_FRWheelSpdEdgesSumVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_FRWheelSpdVD_BCS_FRWheelSpdVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_HDCCtrlSt_BCS_HDCCtrlSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RLWheelRotatedDirection_BCS_RLWheelRotatedDirection; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RLWheelSpd_BCS_RLWheelSpd; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RLWheelSpdEdgesSum_BCS_RLWheelSpdEdgesSum; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RLWheelSpdEdgesSumVD_BCS_RLWheelSpdEdgesSumVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RLWheelSpdVD_BCS_RLWheelSpdVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RRWheelRotatedDirection_BCS_RRWheelRotatedDirection; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RRWheelSpd_BCS_RRWheelSpd; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RRWheelSpdEdgesSum_BCS_RRWheelSpdEdgesSum; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RRWheelSpdEdgesSumVD_BCS_RRWheelSpdEdgesSumVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_RRWheelSpdVD_BCS_RRWheelSpdVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_TCSActiveSt_BCS_TCSActiveSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_TCSOff_BCS_TCSOff; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_VehSpd_BCS_VehSpd; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_VehSpdVD_BCS_VehSpdVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_VehicleStandStillSt_BCS_VehicleStandStillSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_YawRate_BCS_YawRate; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_BCS_YawRateSt_BCS_YawRateSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_DMS_FatigWarnSt_DMS_FatigWarnSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPB_FailSt_EPB_SysSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPB_SysSt_EPB_SysSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_LKACtrlAbortFeedback_EPS_LKACtrlAbortFeedback; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_SteeringAngle_EPS_SteeringAngle; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_SteeringAngleSpd_EPS_SteeringAngleSpd; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_SteeringAngleSpdVD_EPS_SteeringAngleSpdVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_SteeringAngleVD_EPS_SteeringAngleVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_StrngWhlTorq_EPS_StrngWhlTorq; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_EPS_StrngWhlTorqVD_EPS_StrngWhlTorqVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_HVAC_CorrectedExterTemp_HVAC_CorrectedExterTemp; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_HVAC_CorrectedExterTempVD_HVAC_CorrectedExterTempVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_ICM_DisFail_ICM_DisFail; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_ICM_TotalOdometer_ICM_TotalOdometer; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_ICM_VehInsSpd_ICM_VehInsSpd; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_SRS_DriverSeatBeltSt_SRS_DriverSeatBeltSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(float32, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_ActVehWheelTorq_VCU_ActVehWheelTorq; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_CrntGearLvl_VCU_CrntGearLvl; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_CrntGearLvlVD_VCU_CrntGearLvlVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_EMS_AccPedalActPst_VCU_EMS_AccPedalActPst; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_EMS_AccPedalActPstVD_VCU_EMS_AccPedalActPstVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(boolean, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_EMS_BrkPedalSt_VCU_EMS_BrkPedalSt; /* PRQA S 0850 */ /* MD_MSR_19.8 */
extern VAR(uint8, RTE_VAR_INIT_NOCACHE) Rte_FCU_rSWCRX_VCU_EMS_BrkPedalStVD_VCU_EMS_BrkPedalStVD; /* PRQA S 0850 */ /* MD_MSR_19.8 */

#  define RTE_STOP_SEC_VAR_NOCACHE_INIT_UNSPECIFIED
#  include "MemMap.h" /* PRQA S 5087 */ /* MD_MSR_19.1 */

# endif /* !defined(RTE_CORE) */


# ifndef RTE_CORE
/**********************************************************************************************************************
 * Init Values for unqueued S/R communication (primitive types only)
 *********************************************************************************************************************/

#  define Rte_InitValue_rSWCRX_BCM_DriverDoorAjarSt_BCM_DriverDoorAjarSt (0U)
#  define Rte_InitValue_rSWCRX_BCM_FrontFogLampSt_BCM_FrontFogLampSt (FALSE)
#  define Rte_InitValue_rSWCRX_BCM_FrontWasherSt_BCM_FrontWasherSt (0U)
#  define Rte_InitValue_rSWCRX_BCM_FrontWiperSt_BCM_FrontWiperSt (0U)
#  define Rte_InitValue_rSWCRX_BCM_HazardLampSt_BCM_HazardLampSt (FALSE)
#  define Rte_InitValue_rSWCRX_BCM_HighBeamSt_BCM_HighBeamSt (FALSE)
#  define Rte_InitValue_rSWCRX_BCM_KeySt_BCM_KeySt (0U)
#  define Rte_InitValue_rSWCRX_BCM_LowBeamSt_BCM_LowBeamSt (FALSE)
#  define Rte_InitValue_rSWCRX_BCM_PsngrDoorAjarSt_BCM_PsngrDoorAjarSt (0U)
#  define Rte_InitValue_rSWCRX_BCM_RLDoorAjarSt_BCM_RLDoorAjarSt (0U)
#  define Rte_InitValue_rSWCRX_BCM_RRDoorAjarSt_BCM_RRDoorAjarSt (0U)
#  define Rte_InitValue_rSWCRX_BCM_RearFogLampSt_BCM_RearFogLampSt (FALSE)
#  define Rte_InitValue_rSWCRX_BCM_TurnLightSwitchSt_BCM_TurnLightSwitchSt (0U)
#  define Rte_InitValue_rSWCRX_BCS_ABSActiveSt_BCS_ABSActiveSt (FALSE)
#  define Rte_InitValue_rSWCRX_BCS_AEBAvailable_BCS_AEBAvailable (0U)
#  define Rte_InitValue_rSWCRX_BCS_AWBActive_BCS_AWBActive (0U)
#  define Rte_InitValue_rSWCRX_BCS_ActVehLaltrlAccel_BCS_ActVehLaltrlAccel (0.0F)
#  define Rte_InitValue_rSWCRX_BCS_ActVehLaltrlAccelVD_BCS_ActVehLaltrlAccelVD (0U)
#  define Rte_InitValue_rSWCRX_BCS_ActVehLongAccel_BCS_ActVehLongAccel (0.0F)
#  define Rte_InitValue_rSWCRX_BCS_ActVehLongAccelVD_BCS_ActVehLongAccelVD (0U)
#  define Rte_InitValue_rSWCRX_BCS_FLWheelRotatedDirection_BCS_FLWheelRotatedDirection (0U)
#  define Rte_InitValue_rSWCRX_BCS_FLWheelSpd_BCS_FLWheelSpd (0.0F)
#  define Rte_InitValue_rSWCRX_BCS_FLWheelSpdEdgesSum_BCS_FLWheelSpdEdgesSum (0U)
#  define Rte_InitValue_rSWCRX_BCS_FLWheelSpdEdgesSumVD_BCS_FLWheelSpdEdgesSumVD (0U)
#  define Rte_InitValue_rSWCRX_BCS_FLWheelSpdVD_BCS_FLWheelSpdVD (0U)
#  define Rte_InitValue_rSWCRX_BCS_FRWheelRotatedDirection_BCS_FRWheelRotatedDirection (0U)
#  define Rte_InitValue_rSWCRX_BCS_FRWheelSpd_BCS_FRWheelSpd (0.0F)
#  define Rte_InitValue_rSWCRX_BCS_FRWheelSpdEdgesSum_BCS_FRWheelSpdEdgesSum (0U)
#  define Rte_InitValue_rSWCRX_BCS_FRWheelSpdEdgesSumVD_BCS_FRWheelSpdEdgesSumVD (0U)
#  define Rte_InitValue_rSWCRX_BCS_FRWheelSpdVD_BCS_FRWheelSpdVD (0U)
#  define Rte_InitValue_rSWCRX_BCS_HDCCtrlSt_BCS_HDCCtrlSt (FALSE)
#  define Rte_InitValue_rSWCRX_BCS_RLWheelRotatedDirection_BCS_RLWheelRotatedDirection (0U)
#  define Rte_InitValue_rSWCRX_BCS_RLWheelSpd_BCS_RLWheelSpd (0.0F)
#  define Rte_InitValue_rSWCRX_BCS_RLWheelSpdEdgesSum_BCS_RLWheelSpdEdgesSum (0U)
#  define Rte_InitValue_rSWCRX_BCS_RLWheelSpdEdgesSumVD_BCS_RLWheelSpdEdgesSumVD (0U)
#  define Rte_InitValue_rSWCRX_BCS_RLWheelSpdVD_BCS_RLWheelSpdVD (0U)
#  define Rte_InitValue_rSWCRX_BCS_RRWheelRotatedDirection_BCS_RRWheelRotatedDirection (0U)
#  define Rte_InitValue_rSWCRX_BCS_RRWheelSpd_BCS_RRWheelSpd (0.0F)
#  define Rte_InitValue_rSWCRX_BCS_RRWheelSpdEdgesSum_BCS_RRWheelSpdEdgesSum (0U)
#  define Rte_InitValue_rSWCRX_BCS_RRWheelSpdEdgesSumVD_BCS_RRWheelSpdEdgesSumVD (0U)
#  define Rte_InitValue_rSWCRX_BCS_RRWheelSpdVD_BCS_RRWheelSpdVD (0U)
#  define Rte_InitValue_rSWCRX_BCS_TCSActiveSt_BCS_TCSActiveSt (FALSE)
#  define Rte_InitValue_rSWCRX_BCS_TCSOff_BCS_TCSOff (FALSE)
#  define Rte_InitValue_rSWCRX_BCS_VehSpd_BCS_VehSpd (0.0F)
#  define Rte_InitValue_rSWCRX_BCS_VehSpdVD_BCS_VehSpdVD (0U)
#  define Rte_InitValue_rSWCRX_BCS_VehicleStandStillSt_BCS_VehicleStandStillSt (0U)
#  define Rte_InitValue_rSWCRX_BCS_YawRate_BCS_YawRate (0.0F)
#  define Rte_InitValue_rSWCRX_BCS_YawRateSt_BCS_YawRateSt (0U)
#  define Rte_InitValue_rSWCRX_DMS_FatigWarnSt_DMS_FatigWarnSt (FALSE)
#  define Rte_InitValue_rSWCRX_EPB_FailSt_EPB_SysSt (0U)
#  define Rte_InitValue_rSWCRX_EPB_SysSt_EPB_SysSt (0U)
#  define Rte_InitValue_rSWCRX_EPS_LKACtrlAbortFeedback_EPS_LKACtrlAbortFeedback (0U)
#  define Rte_InitValue_rSWCRX_EPS_SteeringAngle_EPS_SteeringAngle (0.0F)
#  define Rte_InitValue_rSWCRX_EPS_SteeringAngleSpd_EPS_SteeringAngleSpd (0.0F)
#  define Rte_InitValue_rSWCRX_EPS_SteeringAngleSpdVD_EPS_SteeringAngleSpdVD (0U)
#  define Rte_InitValue_rSWCRX_EPS_SteeringAngleVD_EPS_SteeringAngleVD (0U)
#  define Rte_InitValue_rSWCRX_EPS_StrngWhlTorq_EPS_StrngWhlTorq (0.0F)
#  define Rte_InitValue_rSWCRX_EPS_StrngWhlTorqVD_EPS_StrngWhlTorqVD (0U)
#  define Rte_InitValue_rSWCRX_HVAC_CorrectedExterTemp_HVAC_CorrectedExterTemp (0.0F)
#  define Rte_InitValue_rSWCRX_HVAC_CorrectedExterTempVD_HVAC_CorrectedExterTempVD (0U)
#  define Rte_InitValue_rSWCRX_ICM_DisFail_ICM_DisFail (0U)
#  define Rte_InitValue_rSWCRX_ICM_TotalOdometer_ICM_TotalOdometer (0.0F)
#  define Rte_InitValue_rSWCRX_ICM_VehInsSpd_ICM_VehInsSpd (0.0F)
#  define Rte_InitValue_rSWCRX_SRS_DriverSeatBeltSt_SRS_DriverSeatBeltSt (FALSE)
#  define Rte_InitValue_rSWCRX_VCU_ActVehWheelTorq_VCU_ActVehWheelTorq (0.0F)
#  define Rte_InitValue_rSWCRX_VCU_CrntGearLvl_VCU_CrntGearLvl (0U)
#  define Rte_InitValue_rSWCRX_VCU_CrntGearLvlVD_VCU_CrntGearLvlVD (0U)
#  define Rte_InitValue_rSWCRX_VCU_EMS_AccPedalActPst_VCU_EMS_AccPedalActPst (0U)
#  define Rte_InitValue_rSWCRX_VCU_EMS_AccPedalActPstVD_VCU_EMS_AccPedalActPstVD (0U)
#  define Rte_InitValue_rSWCRX_VCU_EMS_BrkPedalSt_VCU_EMS_BrkPedalSt (FALSE)
#  define Rte_InitValue_rSWCRX_VCU_EMS_BrkPedalStVD_VCU_EMS_BrkPedalStVD (0U)
# endif


# define RTE_START_SEC_CODE
# include "MemMap.h" /* PRQA S 5087 */ /* MD_MSR_19.1 */

/**********************************************************************************************************************
 * API prototypes
 *********************************************************************************************************************/
FUNC(Std_ReturnType, RTE_CODE) Rte_Read_VED_rNVRAM_ST_VEDNvIoDatas_t_ST_VEDNvIoDatas_t(P2VAR(ST_VEDNvIoDatas_t, AUTOMATIC, RTE_VED_APPL_VAR) data); /* PRQA S 0850 */ /* MD_MSR_19.8 */
FUNC(Std_ReturnType, RTE_CODE) Rte_Write_VED_pVED_ST_EMVEDVehPar_t_ST_EMVEDVehPar_t(P2CONST(ST_EMVEDVehPar_t, AUTOMATIC, RTE_VED_APPL_DATA) data); /* PRQA S 0850 */ /* MD_MSR_19.8 */
FUNC(Std_ReturnType, RTE_CODE) Rte_Write_VED_pVED_ST_VEDNvIoDatas_t_ST_VEDNvIoDatas_t(P2CONST(ST_VEDNvIoDatas_t, AUTOMATIC, RTE_VED_APPL_DATA) data); /* PRQA S 0850 */ /* MD_MSR_19.8 */
FUNC(Std_ReturnType, RTE_CODE) Rte_Write_VED_pVED_ST_VEDVehDyn_t_ST_VEDVehDyn_t(P2CONST(ST_VEDVehDyn_t, AUTOMATIC, RTE_VED_APPL_DATA) data); /* PRQA S 0850 */ /* MD_MSR_19.8 */
FUNC(Std_ReturnType, RTE_CODE) Rte_Write_VED_pVED_ST_VEDVehSig_t_ST_VEDVehSig_t(P2CONST(ST_VEDVehSig_t, AUTOMATIC, RTE_VED_APPL_DATA) data); /* PRQA S 0850 */ /* MD_MSR_19.8 */

# define RTE_STOP_SEC_CODE
# include "MemMap.h" /* PRQA S 5087 */ /* MD_MSR_19.1 */


# ifndef RTE_CORE

/**********************************************************************************************************************
 * Rte_Read_<p>_<d> (explicit S/R communication with isQueued = false)
 *********************************************************************************************************************/
#  define Rte_Read_rNVRAM_ST_VEDNvIoDatas_t_ST_VEDNvIoDatas_t Rte_Read_VED_rNVRAM_ST_VEDNvIoDatas_t_ST_VEDNvIoDatas_t
#  define Rte_Read_rSWCRX_BCM_DriverDoorAjarSt_BCM_DriverDoorAjarSt Rte_Read_VED_rSWCRX_BCM_DriverDoorAjarSt_BCM_DriverDoorAjarSt
#  define Rte_Read_VED_rSWCRX_BCM_DriverDoorAjarSt_BCM_DriverDoorAjarSt(data) (*(data) = Rte_FCU_rSWCRX_BCM_DriverDoorAjarSt_BCM_DriverDoorAjarSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCM_FrontFogLampSt_BCM_FrontFogLampSt Rte_Read_VED_rSWCRX_BCM_FrontFogLampSt_BCM_FrontFogLampSt
#  define Rte_Read_VED_rSWCRX_BCM_FrontFogLampSt_BCM_FrontFogLampSt(data) (*(data) = Rte_FCU_rSWCRX_BCM_FrontFogLampSt_BCM_FrontFogLampSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCM_FrontWasherSt_BCM_FrontWasherSt Rte_Read_VED_rSWCRX_BCM_FrontWasherSt_BCM_FrontWasherSt
#  define Rte_Read_VED_rSWCRX_BCM_FrontWasherSt_BCM_FrontWasherSt(data) (*(data) = Rte_FCU_rSWCRX_BCM_FrontWasherSt_BCM_FrontWasherSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCM_FrontWiperSt_BCM_FrontWiperSt Rte_Read_VED_rSWCRX_BCM_FrontWiperSt_BCM_FrontWiperSt
#  define Rte_Read_VED_rSWCRX_BCM_FrontWiperSt_BCM_FrontWiperSt(data) (*(data) = Rte_FCU_rSWCRX_BCM_FrontWiperSt_BCM_FrontWiperSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCM_HazardLampSt_BCM_HazardLampSt Rte_Read_VED_rSWCRX_BCM_HazardLampSt_BCM_HazardLampSt
#  define Rte_Read_VED_rSWCRX_BCM_HazardLampSt_BCM_HazardLampSt(data) (*(data) = Rte_FCU_rSWCRX_BCM_HazardLampSt_BCM_HazardLampSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCM_HighBeamSt_BCM_HighBeamSt Rte_Read_VED_rSWCRX_BCM_HighBeamSt_BCM_HighBeamSt
#  define Rte_Read_VED_rSWCRX_BCM_HighBeamSt_BCM_HighBeamSt(data) (*(data) = Rte_FCU_rSWCRX_BCM_HighBeamSt_BCM_HighBeamSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCM_KeySt_BCM_KeySt Rte_Read_VED_rSWCRX_BCM_KeySt_BCM_KeySt
#  define Rte_Read_VED_rSWCRX_BCM_KeySt_BCM_KeySt(data) (*(data) = Rte_FCU_rSWCRX_BCM_KeySt_BCM_KeySt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCM_LowBeamSt_BCM_LowBeamSt Rte_Read_VED_rSWCRX_BCM_LowBeamSt_BCM_LowBeamSt
#  define Rte_Read_VED_rSWCRX_BCM_LowBeamSt_BCM_LowBeamSt(data) (*(data) = Rte_FCU_rSWCRX_BCM_LowBeamSt_BCM_LowBeamSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCM_PsngrDoorAjarSt_BCM_PsngrDoorAjarSt Rte_Read_VED_rSWCRX_BCM_PsngrDoorAjarSt_BCM_PsngrDoorAjarSt
#  define Rte_Read_VED_rSWCRX_BCM_PsngrDoorAjarSt_BCM_PsngrDoorAjarSt(data) (*(data) = Rte_FCU_rSWCRX_BCM_PsngrDoorAjarSt_BCM_PsngrDoorAjarSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCM_RLDoorAjarSt_BCM_RLDoorAjarSt Rte_Read_VED_rSWCRX_BCM_RLDoorAjarSt_BCM_RLDoorAjarSt
#  define Rte_Read_VED_rSWCRX_BCM_RLDoorAjarSt_BCM_RLDoorAjarSt(data) (*(data) = Rte_FCU_rSWCRX_BCM_RLDoorAjarSt_BCM_RLDoorAjarSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCM_RRDoorAjarSt_BCM_RRDoorAjarSt Rte_Read_VED_rSWCRX_BCM_RRDoorAjarSt_BCM_RRDoorAjarSt
#  define Rte_Read_VED_rSWCRX_BCM_RRDoorAjarSt_BCM_RRDoorAjarSt(data) (*(data) = Rte_FCU_rSWCRX_BCM_RRDoorAjarSt_BCM_RRDoorAjarSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCM_RearFogLampSt_BCM_RearFogLampSt Rte_Read_VED_rSWCRX_BCM_RearFogLampSt_BCM_RearFogLampSt
#  define Rte_Read_VED_rSWCRX_BCM_RearFogLampSt_BCM_RearFogLampSt(data) (*(data) = Rte_FCU_rSWCRX_BCM_RearFogLampSt_BCM_RearFogLampSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCM_TurnLightSwitchSt_BCM_TurnLightSwitchSt Rte_Read_VED_rSWCRX_BCM_TurnLightSwitchSt_BCM_TurnLightSwitchSt
#  define Rte_Read_VED_rSWCRX_BCM_TurnLightSwitchSt_BCM_TurnLightSwitchSt(data) (*(data) = Rte_FCU_rSWCRX_BCM_TurnLightSwitchSt_BCM_TurnLightSwitchSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_ABSActiveSt_BCS_ABSActiveSt Rte_Read_VED_rSWCRX_BCS_ABSActiveSt_BCS_ABSActiveSt
#  define Rte_Read_VED_rSWCRX_BCS_ABSActiveSt_BCS_ABSActiveSt(data) (*(data) = Rte_FCU_rSWCRX_BCS_ABSActiveSt_BCS_ABSActiveSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_AEBAvailable_BCS_AEBAvailable Rte_Read_VED_rSWCRX_BCS_AEBAvailable_BCS_AEBAvailable
#  define Rte_Read_VED_rSWCRX_BCS_AEBAvailable_BCS_AEBAvailable(data) (*(data) = Rte_FCU_rSWCRX_BCS_AEBAvailable_BCS_AEBAvailable, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_AWBActive_BCS_AWBActive Rte_Read_VED_rSWCRX_BCS_AWBActive_BCS_AWBActive
#  define Rte_Read_VED_rSWCRX_BCS_AWBActive_BCS_AWBActive(data) (*(data) = Rte_FCU_rSWCRX_BCS_AWBActive_BCS_AWBActive, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_ActVehLaltrlAccel_BCS_ActVehLaltrlAccel Rte_Read_VED_rSWCRX_BCS_ActVehLaltrlAccel_BCS_ActVehLaltrlAccel
#  define Rte_Read_VED_rSWCRX_BCS_ActVehLaltrlAccel_BCS_ActVehLaltrlAccel(data) (*(data) = Rte_FCU_rSWCRX_BCS_ActVehLaltrlAccel_BCS_ActVehLaltrlAccel, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_ActVehLaltrlAccelVD_BCS_ActVehLaltrlAccelVD Rte_Read_VED_rSWCRX_BCS_ActVehLaltrlAccelVD_BCS_ActVehLaltrlAccelVD
#  define Rte_Read_VED_rSWCRX_BCS_ActVehLaltrlAccelVD_BCS_ActVehLaltrlAccelVD(data) (*(data) = Rte_FCU_rSWCRX_BCS_ActVehLaltrlAccelVD_BCS_ActVehLaltrlAccelVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_ActVehLongAccel_BCS_ActVehLongAccel Rte_Read_VED_rSWCRX_BCS_ActVehLongAccel_BCS_ActVehLongAccel
#  define Rte_Read_VED_rSWCRX_BCS_ActVehLongAccel_BCS_ActVehLongAccel(data) (*(data) = Rte_FCU_rSWCRX_BCS_ActVehLongAccel_BCS_ActVehLongAccel, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_ActVehLongAccelVD_BCS_ActVehLongAccelVD Rte_Read_VED_rSWCRX_BCS_ActVehLongAccelVD_BCS_ActVehLongAccelVD
#  define Rte_Read_VED_rSWCRX_BCS_ActVehLongAccelVD_BCS_ActVehLongAccelVD(data) (*(data) = Rte_FCU_rSWCRX_BCS_ActVehLongAccelVD_BCS_ActVehLongAccelVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_FLWheelRotatedDirection_BCS_FLWheelRotatedDirection Rte_Read_VED_rSWCRX_BCS_FLWheelRotatedDirection_BCS_FLWheelRotatedDirection
#  define Rte_Read_VED_rSWCRX_BCS_FLWheelRotatedDirection_BCS_FLWheelRotatedDirection(data) (*(data) = Rte_FCU_rSWCRX_BCS_FLWheelRotatedDirection_BCS_FLWheelRotatedDirection, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_FLWheelSpd_BCS_FLWheelSpd Rte_Read_VED_rSWCRX_BCS_FLWheelSpd_BCS_FLWheelSpd
#  define Rte_Read_VED_rSWCRX_BCS_FLWheelSpd_BCS_FLWheelSpd(data) (*(data) = Rte_FCU_rSWCRX_BCS_FLWheelSpd_BCS_FLWheelSpd, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_FLWheelSpdEdgesSum_BCS_FLWheelSpdEdgesSum Rte_Read_VED_rSWCRX_BCS_FLWheelSpdEdgesSum_BCS_FLWheelSpdEdgesSum
#  define Rte_Read_VED_rSWCRX_BCS_FLWheelSpdEdgesSum_BCS_FLWheelSpdEdgesSum(data) (*(data) = Rte_FCU_rSWCRX_BCS_FLWheelSpdEdgesSum_BCS_FLWheelSpdEdgesSum, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_FLWheelSpdEdgesSumVD_BCS_FLWheelSpdEdgesSumVD Rte_Read_VED_rSWCRX_BCS_FLWheelSpdEdgesSumVD_BCS_FLWheelSpdEdgesSumVD
#  define Rte_Read_VED_rSWCRX_BCS_FLWheelSpdEdgesSumVD_BCS_FLWheelSpdEdgesSumVD(data) (*(data) = Rte_FCU_rSWCRX_BCS_FLWheelSpdEdgesSumVD_BCS_FLWheelSpdEdgesSumVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_FLWheelSpdVD_BCS_FLWheelSpdVD Rte_Read_VED_rSWCRX_BCS_FLWheelSpdVD_BCS_FLWheelSpdVD
#  define Rte_Read_VED_rSWCRX_BCS_FLWheelSpdVD_BCS_FLWheelSpdVD(data) (*(data) = Rte_FCU_rSWCRX_BCS_FLWheelSpdVD_BCS_FLWheelSpdVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_FRWheelRotatedDirection_BCS_FRWheelRotatedDirection Rte_Read_VED_rSWCRX_BCS_FRWheelRotatedDirection_BCS_FRWheelRotatedDirection
#  define Rte_Read_VED_rSWCRX_BCS_FRWheelRotatedDirection_BCS_FRWheelRotatedDirection(data) (*(data) = Rte_FCU_rSWCRX_BCS_FRWheelRotatedDirection_BCS_FRWheelRotatedDirection, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_FRWheelSpd_BCS_FRWheelSpd Rte_Read_VED_rSWCRX_BCS_FRWheelSpd_BCS_FRWheelSpd
#  define Rte_Read_VED_rSWCRX_BCS_FRWheelSpd_BCS_FRWheelSpd(data) (*(data) = Rte_FCU_rSWCRX_BCS_FRWheelSpd_BCS_FRWheelSpd, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_FRWheelSpdEdgesSum_BCS_FRWheelSpdEdgesSum Rte_Read_VED_rSWCRX_BCS_FRWheelSpdEdgesSum_BCS_FRWheelSpdEdgesSum
#  define Rte_Read_VED_rSWCRX_BCS_FRWheelSpdEdgesSum_BCS_FRWheelSpdEdgesSum(data) (*(data) = Rte_FCU_rSWCRX_BCS_FRWheelSpdEdgesSum_BCS_FRWheelSpdEdgesSum, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_FRWheelSpdEdgesSumVD_BCS_FRWheelSpdEdgesSumVD Rte_Read_VED_rSWCRX_BCS_FRWheelSpdEdgesSumVD_BCS_FRWheelSpdEdgesSumVD
#  define Rte_Read_VED_rSWCRX_BCS_FRWheelSpdEdgesSumVD_BCS_FRWheelSpdEdgesSumVD(data) (*(data) = Rte_FCU_rSWCRX_BCS_FRWheelSpdEdgesSumVD_BCS_FRWheelSpdEdgesSumVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_FRWheelSpdVD_BCS_FRWheelSpdVD Rte_Read_VED_rSWCRX_BCS_FRWheelSpdVD_BCS_FRWheelSpdVD
#  define Rte_Read_VED_rSWCRX_BCS_FRWheelSpdVD_BCS_FRWheelSpdVD(data) (*(data) = Rte_FCU_rSWCRX_BCS_FRWheelSpdVD_BCS_FRWheelSpdVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_HDCCtrlSt_BCS_HDCCtrlSt Rte_Read_VED_rSWCRX_BCS_HDCCtrlSt_BCS_HDCCtrlSt
#  define Rte_Read_VED_rSWCRX_BCS_HDCCtrlSt_BCS_HDCCtrlSt(data) (*(data) = Rte_FCU_rSWCRX_BCS_HDCCtrlSt_BCS_HDCCtrlSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_RLWheelRotatedDirection_BCS_RLWheelRotatedDirection Rte_Read_VED_rSWCRX_BCS_RLWheelRotatedDirection_BCS_RLWheelRotatedDirection
#  define Rte_Read_VED_rSWCRX_BCS_RLWheelRotatedDirection_BCS_RLWheelRotatedDirection(data) (*(data) = Rte_FCU_rSWCRX_BCS_RLWheelRotatedDirection_BCS_RLWheelRotatedDirection, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_RLWheelSpd_BCS_RLWheelSpd Rte_Read_VED_rSWCRX_BCS_RLWheelSpd_BCS_RLWheelSpd
#  define Rte_Read_VED_rSWCRX_BCS_RLWheelSpd_BCS_RLWheelSpd(data) (*(data) = Rte_FCU_rSWCRX_BCS_RLWheelSpd_BCS_RLWheelSpd, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_RLWheelSpdEdgesSum_BCS_RLWheelSpdEdgesSum Rte_Read_VED_rSWCRX_BCS_RLWheelSpdEdgesSum_BCS_RLWheelSpdEdgesSum
#  define Rte_Read_VED_rSWCRX_BCS_RLWheelSpdEdgesSum_BCS_RLWheelSpdEdgesSum(data) (*(data) = Rte_FCU_rSWCRX_BCS_RLWheelSpdEdgesSum_BCS_RLWheelSpdEdgesSum, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_RLWheelSpdEdgesSumVD_BCS_RLWheelSpdEdgesSumVD Rte_Read_VED_rSWCRX_BCS_RLWheelSpdEdgesSumVD_BCS_RLWheelSpdEdgesSumVD
#  define Rte_Read_VED_rSWCRX_BCS_RLWheelSpdEdgesSumVD_BCS_RLWheelSpdEdgesSumVD(data) (*(data) = Rte_FCU_rSWCRX_BCS_RLWheelSpdEdgesSumVD_BCS_RLWheelSpdEdgesSumVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_RLWheelSpdVD_BCS_RLWheelSpdVD Rte_Read_VED_rSWCRX_BCS_RLWheelSpdVD_BCS_RLWheelSpdVD
#  define Rte_Read_VED_rSWCRX_BCS_RLWheelSpdVD_BCS_RLWheelSpdVD(data) (*(data) = Rte_FCU_rSWCRX_BCS_RLWheelSpdVD_BCS_RLWheelSpdVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_RRWheelRotatedDirection_BCS_RRWheelRotatedDirection Rte_Read_VED_rSWCRX_BCS_RRWheelRotatedDirection_BCS_RRWheelRotatedDirection
#  define Rte_Read_VED_rSWCRX_BCS_RRWheelRotatedDirection_BCS_RRWheelRotatedDirection(data) (*(data) = Rte_FCU_rSWCRX_BCS_RRWheelRotatedDirection_BCS_RRWheelRotatedDirection, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_RRWheelSpd_BCS_RRWheelSpd Rte_Read_VED_rSWCRX_BCS_RRWheelSpd_BCS_RRWheelSpd
#  define Rte_Read_VED_rSWCRX_BCS_RRWheelSpd_BCS_RRWheelSpd(data) (*(data) = Rte_FCU_rSWCRX_BCS_RRWheelSpd_BCS_RRWheelSpd, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_RRWheelSpdEdgesSum_BCS_RRWheelSpdEdgesSum Rte_Read_VED_rSWCRX_BCS_RRWheelSpdEdgesSum_BCS_RRWheelSpdEdgesSum
#  define Rte_Read_VED_rSWCRX_BCS_RRWheelSpdEdgesSum_BCS_RRWheelSpdEdgesSum(data) (*(data) = Rte_FCU_rSWCRX_BCS_RRWheelSpdEdgesSum_BCS_RRWheelSpdEdgesSum, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_RRWheelSpdEdgesSumVD_BCS_RRWheelSpdEdgesSumVD Rte_Read_VED_rSWCRX_BCS_RRWheelSpdEdgesSumVD_BCS_RRWheelSpdEdgesSumVD
#  define Rte_Read_VED_rSWCRX_BCS_RRWheelSpdEdgesSumVD_BCS_RRWheelSpdEdgesSumVD(data) (*(data) = Rte_FCU_rSWCRX_BCS_RRWheelSpdEdgesSumVD_BCS_RRWheelSpdEdgesSumVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_RRWheelSpdVD_BCS_RRWheelSpdVD Rte_Read_VED_rSWCRX_BCS_RRWheelSpdVD_BCS_RRWheelSpdVD
#  define Rte_Read_VED_rSWCRX_BCS_RRWheelSpdVD_BCS_RRWheelSpdVD(data) (*(data) = Rte_FCU_rSWCRX_BCS_RRWheelSpdVD_BCS_RRWheelSpdVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_TCSActiveSt_BCS_TCSActiveSt Rte_Read_VED_rSWCRX_BCS_TCSActiveSt_BCS_TCSActiveSt
#  define Rte_Read_VED_rSWCRX_BCS_TCSActiveSt_BCS_TCSActiveSt(data) (*(data) = Rte_FCU_rSWCRX_BCS_TCSActiveSt_BCS_TCSActiveSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_TCSOff_BCS_TCSOff Rte_Read_VED_rSWCRX_BCS_TCSOff_BCS_TCSOff
#  define Rte_Read_VED_rSWCRX_BCS_TCSOff_BCS_TCSOff(data) (*(data) = Rte_FCU_rSWCRX_BCS_TCSOff_BCS_TCSOff, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_VehSpd_BCS_VehSpd Rte_Read_VED_rSWCRX_BCS_VehSpd_BCS_VehSpd
#  define Rte_Read_VED_rSWCRX_BCS_VehSpd_BCS_VehSpd(data) (*(data) = Rte_FCU_rSWCRX_BCS_VehSpd_BCS_VehSpd, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_VehSpdVD_BCS_VehSpdVD Rte_Read_VED_rSWCRX_BCS_VehSpdVD_BCS_VehSpdVD
#  define Rte_Read_VED_rSWCRX_BCS_VehSpdVD_BCS_VehSpdVD(data) (*(data) = Rte_FCU_rSWCRX_BCS_VehSpdVD_BCS_VehSpdVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_VehicleStandStillSt_BCS_VehicleStandStillSt Rte_Read_VED_rSWCRX_BCS_VehicleStandStillSt_BCS_VehicleStandStillSt
#  define Rte_Read_VED_rSWCRX_BCS_VehicleStandStillSt_BCS_VehicleStandStillSt(data) (*(data) = Rte_FCU_rSWCRX_BCS_VehicleStandStillSt_BCS_VehicleStandStillSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_YawRate_BCS_YawRate Rte_Read_VED_rSWCRX_BCS_YawRate_BCS_YawRate
#  define Rte_Read_VED_rSWCRX_BCS_YawRate_BCS_YawRate(data) (*(data) = Rte_FCU_rSWCRX_BCS_YawRate_BCS_YawRate, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_BCS_YawRateSt_BCS_YawRateSt Rte_Read_VED_rSWCRX_BCS_YawRateSt_BCS_YawRateSt
#  define Rte_Read_VED_rSWCRX_BCS_YawRateSt_BCS_YawRateSt(data) (*(data) = Rte_FCU_rSWCRX_BCS_YawRateSt_BCS_YawRateSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_DMS_FatigWarnSt_DMS_FatigWarnSt Rte_Read_VED_rSWCRX_DMS_FatigWarnSt_DMS_FatigWarnSt
#  define Rte_Read_VED_rSWCRX_DMS_FatigWarnSt_DMS_FatigWarnSt(data) (*(data) = Rte_FCU_rSWCRX_DMS_FatigWarnSt_DMS_FatigWarnSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_EPB_FailSt_EPB_SysSt Rte_Read_VED_rSWCRX_EPB_FailSt_EPB_SysSt
#  define Rte_Read_VED_rSWCRX_EPB_FailSt_EPB_SysSt(data) (*(data) = Rte_FCU_rSWCRX_EPB_FailSt_EPB_SysSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_EPB_SysSt_EPB_SysSt Rte_Read_VED_rSWCRX_EPB_SysSt_EPB_SysSt
#  define Rte_Read_VED_rSWCRX_EPB_SysSt_EPB_SysSt(data) (*(data) = Rte_FCU_rSWCRX_EPB_SysSt_EPB_SysSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_EPS_LKACtrlAbortFeedback_EPS_LKACtrlAbortFeedback Rte_Read_VED_rSWCRX_EPS_LKACtrlAbortFeedback_EPS_LKACtrlAbortFeedback
#  define Rte_Read_VED_rSWCRX_EPS_LKACtrlAbortFeedback_EPS_LKACtrlAbortFeedback(data) (*(data) = Rte_FCU_rSWCRX_EPS_LKACtrlAbortFeedback_EPS_LKACtrlAbortFeedback, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_EPS_SteeringAngle_EPS_SteeringAngle Rte_Read_VED_rSWCRX_EPS_SteeringAngle_EPS_SteeringAngle
#  define Rte_Read_VED_rSWCRX_EPS_SteeringAngle_EPS_SteeringAngle(data) (*(data) = Rte_FCU_rSWCRX_EPS_SteeringAngle_EPS_SteeringAngle, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_EPS_SteeringAngleSpd_EPS_SteeringAngleSpd Rte_Read_VED_rSWCRX_EPS_SteeringAngleSpd_EPS_SteeringAngleSpd
#  define Rte_Read_VED_rSWCRX_EPS_SteeringAngleSpd_EPS_SteeringAngleSpd(data) (*(data) = Rte_FCU_rSWCRX_EPS_SteeringAngleSpd_EPS_SteeringAngleSpd, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_EPS_SteeringAngleSpdVD_EPS_SteeringAngleSpdVD Rte_Read_VED_rSWCRX_EPS_SteeringAngleSpdVD_EPS_SteeringAngleSpdVD
#  define Rte_Read_VED_rSWCRX_EPS_SteeringAngleSpdVD_EPS_SteeringAngleSpdVD(data) (*(data) = Rte_FCU_rSWCRX_EPS_SteeringAngleSpdVD_EPS_SteeringAngleSpdVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_EPS_SteeringAngleVD_EPS_SteeringAngleVD Rte_Read_VED_rSWCRX_EPS_SteeringAngleVD_EPS_SteeringAngleVD
#  define Rte_Read_VED_rSWCRX_EPS_SteeringAngleVD_EPS_SteeringAngleVD(data) (*(data) = Rte_FCU_rSWCRX_EPS_SteeringAngleVD_EPS_SteeringAngleVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_EPS_StrngWhlTorq_EPS_StrngWhlTorq Rte_Read_VED_rSWCRX_EPS_StrngWhlTorq_EPS_StrngWhlTorq
#  define Rte_Read_VED_rSWCRX_EPS_StrngWhlTorq_EPS_StrngWhlTorq(data) (*(data) = Rte_FCU_rSWCRX_EPS_StrngWhlTorq_EPS_StrngWhlTorq, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_EPS_StrngWhlTorqVD_EPS_StrngWhlTorqVD Rte_Read_VED_rSWCRX_EPS_StrngWhlTorqVD_EPS_StrngWhlTorqVD
#  define Rte_Read_VED_rSWCRX_EPS_StrngWhlTorqVD_EPS_StrngWhlTorqVD(data) (*(data) = Rte_FCU_rSWCRX_EPS_StrngWhlTorqVD_EPS_StrngWhlTorqVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_HVAC_CorrectedExterTemp_HVAC_CorrectedExterTemp Rte_Read_VED_rSWCRX_HVAC_CorrectedExterTemp_HVAC_CorrectedExterTemp
#  define Rte_Read_VED_rSWCRX_HVAC_CorrectedExterTemp_HVAC_CorrectedExterTemp(data) (*(data) = Rte_FCU_rSWCRX_HVAC_CorrectedExterTemp_HVAC_CorrectedExterTemp, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_HVAC_CorrectedExterTempVD_HVAC_CorrectedExterTempVD Rte_Read_VED_rSWCRX_HVAC_CorrectedExterTempVD_HVAC_CorrectedExterTempVD
#  define Rte_Read_VED_rSWCRX_HVAC_CorrectedExterTempVD_HVAC_CorrectedExterTempVD(data) (*(data) = Rte_FCU_rSWCRX_HVAC_CorrectedExterTempVD_HVAC_CorrectedExterTempVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_ICM_DisFail_ICM_DisFail Rte_Read_VED_rSWCRX_ICM_DisFail_ICM_DisFail
#  define Rte_Read_VED_rSWCRX_ICM_DisFail_ICM_DisFail(data) (*(data) = Rte_FCU_rSWCRX_ICM_DisFail_ICM_DisFail, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_ICM_TotalOdometer_ICM_TotalOdometer Rte_Read_VED_rSWCRX_ICM_TotalOdometer_ICM_TotalOdometer
#  define Rte_Read_VED_rSWCRX_ICM_TotalOdometer_ICM_TotalOdometer(data) (*(data) = Rte_FCU_rSWCRX_ICM_TotalOdometer_ICM_TotalOdometer, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_ICM_VehInsSpd_ICM_VehInsSpd Rte_Read_VED_rSWCRX_ICM_VehInsSpd_ICM_VehInsSpd
#  define Rte_Read_VED_rSWCRX_ICM_VehInsSpd_ICM_VehInsSpd(data) (*(data) = Rte_FCU_rSWCRX_ICM_VehInsSpd_ICM_VehInsSpd, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_SRS_DriverSeatBeltSt_SRS_DriverSeatBeltSt Rte_Read_VED_rSWCRX_SRS_DriverSeatBeltSt_SRS_DriverSeatBeltSt
#  define Rte_Read_VED_rSWCRX_SRS_DriverSeatBeltSt_SRS_DriverSeatBeltSt(data) (*(data) = Rte_FCU_rSWCRX_SRS_DriverSeatBeltSt_SRS_DriverSeatBeltSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_VCU_ActVehWheelTorq_VCU_ActVehWheelTorq Rte_Read_VED_rSWCRX_VCU_ActVehWheelTorq_VCU_ActVehWheelTorq
#  define Rte_Read_VED_rSWCRX_VCU_ActVehWheelTorq_VCU_ActVehWheelTorq(data) (*(data) = Rte_FCU_rSWCRX_VCU_ActVehWheelTorq_VCU_ActVehWheelTorq, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_VCU_CrntGearLvl_VCU_CrntGearLvl Rte_Read_VED_rSWCRX_VCU_CrntGearLvl_VCU_CrntGearLvl
#  define Rte_Read_VED_rSWCRX_VCU_CrntGearLvl_VCU_CrntGearLvl(data) (*(data) = Rte_FCU_rSWCRX_VCU_CrntGearLvl_VCU_CrntGearLvl, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_VCU_CrntGearLvlVD_VCU_CrntGearLvlVD Rte_Read_VED_rSWCRX_VCU_CrntGearLvlVD_VCU_CrntGearLvlVD
#  define Rte_Read_VED_rSWCRX_VCU_CrntGearLvlVD_VCU_CrntGearLvlVD(data) (*(data) = Rte_FCU_rSWCRX_VCU_CrntGearLvlVD_VCU_CrntGearLvlVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_VCU_EMS_AccPedalActPst_VCU_EMS_AccPedalActPst Rte_Read_VED_rSWCRX_VCU_EMS_AccPedalActPst_VCU_EMS_AccPedalActPst
#  define Rte_Read_VED_rSWCRX_VCU_EMS_AccPedalActPst_VCU_EMS_AccPedalActPst(data) (*(data) = Rte_FCU_rSWCRX_VCU_EMS_AccPedalActPst_VCU_EMS_AccPedalActPst, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_VCU_EMS_AccPedalActPstVD_VCU_EMS_AccPedalActPstVD Rte_Read_VED_rSWCRX_VCU_EMS_AccPedalActPstVD_VCU_EMS_AccPedalActPstVD
#  define Rte_Read_VED_rSWCRX_VCU_EMS_AccPedalActPstVD_VCU_EMS_AccPedalActPstVD(data) (*(data) = Rte_FCU_rSWCRX_VCU_EMS_AccPedalActPstVD_VCU_EMS_AccPedalActPstVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_VCU_EMS_BrkPedalSt_VCU_EMS_BrkPedalSt Rte_Read_VED_rSWCRX_VCU_EMS_BrkPedalSt_VCU_EMS_BrkPedalSt
#  define Rte_Read_VED_rSWCRX_VCU_EMS_BrkPedalSt_VCU_EMS_BrkPedalSt(data) (*(data) = Rte_FCU_rSWCRX_VCU_EMS_BrkPedalSt_VCU_EMS_BrkPedalSt, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */
#  define Rte_Read_rSWCRX_VCU_EMS_BrkPedalStVD_VCU_EMS_BrkPedalStVD Rte_Read_VED_rSWCRX_VCU_EMS_BrkPedalStVD_VCU_EMS_BrkPedalStVD
#  define Rte_Read_VED_rSWCRX_VCU_EMS_BrkPedalStVD_VCU_EMS_BrkPedalStVD(data) (*(data) = Rte_FCU_rSWCRX_VCU_EMS_BrkPedalStVD_VCU_EMS_BrkPedalStVD, ((Std_ReturnType)RTE_E_OK)) /* PRQA S 3453 */ /* MD_MSR_19.7 */


/**********************************************************************************************************************
 * Rte_Write_<p>_<d> (explicit S/R communication with isQueued = false)
 *********************************************************************************************************************/
#  define Rte_Write_pVED_ST_EMVEDVehPar_t_ST_EMVEDVehPar_t Rte_Write_VED_pVED_ST_EMVEDVehPar_t_ST_EMVEDVehPar_t
#  define Rte_Write_pVED_ST_VEDNvIoDatas_t_ST_VEDNvIoDatas_t Rte_Write_VED_pVED_ST_VEDNvIoDatas_t_ST_VEDNvIoDatas_t
#  define Rte_Write_pVED_ST_VEDVehDyn_t_ST_VEDVehDyn_t Rte_Write_VED_pVED_ST_VEDVehDyn_t_ST_VEDVehDyn_t
#  define Rte_Write_pVED_ST_VEDVehSig_t_ST_VEDVehSig_t Rte_Write_VED_pVED_ST_VEDVehSig_t_ST_VEDVehSig_t
#  define Rte_Write_pVED_ST_VehicleDynamicSignals_t_ST_VehicleDynamicSignals_t Rte_Write_VED_pVED_ST_VehicleDynamicSignals_t_ST_VehicleDynamicSignals_t
#  define Rte_Write_VED_pVED_ST_VehicleDynamicSignals_t_ST_VehicleDynamicSignals_t(data) (RTE_E_OK) /* PRQA S 3453 */ /* MD_MSR_19.7 */


# endif /* !defined(RTE_CORE) */


# define VED_START_SEC_CODE
# include "VED_MemMap.h" /* PRQA S 5087 */ /* MD_MSR_19.1 */

/**********************************************************************************************************************
 * Runnable entities
 *********************************************************************************************************************/

# ifndef RTE_CORE
#  define RTE_RUNNABLE_VED_Init VED_Init
#  define RTE_RUNNABLE_VED_Step VED_Step
# endif

FUNC(void, VED_CODE) VED_Init(void); /* PRQA S 0850, 3451 */ /* MD_MSR_19.8, MD_Rte_3451 */
FUNC(void, VED_CODE) VED_Step(void); /* PRQA S 0850, 3451 */ /* MD_MSR_19.8, MD_Rte_3451 */

# define VED_STOP_SEC_CODE
# include "VED_MemMap.h" /* PRQA S 5087 */ /* MD_MSR_19.1 */

# ifdef __cplusplus
} /* extern "C" */
# endif /* __cplusplus */

#endif /* _RTE_VED_H */

/**********************************************************************************************************************
 MISRA 2004 violations and justifications
 *********************************************************************************************************************/

/* module specific MISRA deviations:
   MD_Rte_3451:  MISRA rule: 8.8
     Reason:     Schedulable entities are declared by the RTE and also by the BSW modules.
     Risk:       No functional risk.
     Prevention: Not required.

*/
